// API - HPDI32 - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/dev_status.c $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#include "gsc_status.h"
#include "hpdi32_api.h"



/*****************************************************************************
*
*	Function:	hpdi32_status_text
*
*	Purpose:
*
*		Return a textual description of the given status value.
*
*	Arguments:
*
*		status		The status of interest.
*
*		text		The text goes here.
*
*		size		The size of the above buffer.
*
*	Returned:
*
*		GSC_SUCCESS	All went well.
*		else		An appropriate error status.
*
*****************************************************************************/

U32 GSC_EXPORT hpdi32_status_text(U32 status, char* text, size_t size)
{
	status	= gsc_status_text(status, text, size);
	return(status);
}


