#include "hpdi32_dsl.h"

#include <stdio.h>

U32	hpdi32_dsl_board_count(U8* count, int verbose)
{
	U32	status;

	status	= hpdi32_board_count(count);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf(	"hpdi32_board_count() failure: %ld\n",
				(long) status);
	}
	else
	{
		printf("HPDI32 Board Count: %d\n", (int) count[0]);
	}

	return(status);
}
