#include "hpdi32_dsl.h"

#include <stdio.h>

U32	hpdi32_dsl_open(U8 index, void** handle, int verbose)
{
	U32	status;

	status	= hpdi32_open(index, handle);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_open() failure: %ld\n", (long) status);
	}
	else
	{
		printf("Device Opened:\n");
		printf("  Index:  0x%lX\n", (long) index);
		printf("  Handle: 0x%lX\n", (long) handle);
	}

	return(status);
}
