// Utils - HPDI32 - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/utils/util_tx_line_valid_on_count.c $
// $Rev: 23665 $
// $Date: 2013-10-31 16:20:26 -0500 (Thu, 31 Oct 2013) $

#include "hpdi32_utils.h"

#include <stdio.h>



//*****************************************************************************
int dev_tx_line_valid_on_count(void* dev, int index, int verbose, unsigned long set, unsigned long* get)
{
	char	buf[128];
	int		errs;
	U32		status;

	if (verbose)
		label_text_index("Tx Line Valid On Count", index);

	status	= hpdi32_config(dev, HPDI32_TX_LINE_VALID_ON_COUNT, 0, set, &set);
	errs	= (status == GSC_SUCCESS) ? 0 : 1;
	sprintf(buf, "%ld", (long) set);

	if (verbose)
		printf("%s  (%s)\n", errs ? "FAIL <---" : "PASS", buf);

	if (get)
		get[0]	= set;

	return(errs);
}


