// API - Any Device - Linux
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_os_sem.h $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#ifndef __GSC_OS_SEM_H__
#define __GSC_OS_SEM_H__

#include <pthread.h>

#include "gsc_os_key.h"



/* typedefs	*****************************************************************/

typedef struct
{
	os_key_t		key;	// First field!
	pthread_mutex_t	mutex;
	char			name[64];
} os_sem_t;




/* prototypes	*************************************************************/

U32		os_sem_create(os_sem_t* sem, const char* name);
U32		os_sem_destroy(os_sem_t* sem);
U32		os_sem_lock(os_sem_t* sem);
void	os_sem_unlock(os_sem_t* sem);



#endif
