// API - Any Device - Any OS
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_reg.h $
// $Rev: 23674 $
// $Date: 2013-10-31 16:25:34 -0500 (Thu, 31 Oct 2013) $

#ifndef __GSC_REG_H__
#define __GSC_REG_H__

#include "gsc_access.h"				/*lint !e537 */



/* prototypes	*************************************************************/

U32	gsc_reg_io_read(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32* value);
U32	gsc_reg_io_write(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32 value);
U32	gsc_reg_mapped_mod(UL r_base, U32 r_size, U32 reg, U32 value, U32 mask);
U32	gsc_reg_mapped_read(UL r_base, U32 r_size, U32 reg, U32* value);
U32	gsc_reg_mapped_write(UL r_base, U32 r_size, U32 reg, U32 value);
U32	gsc_reg_mem_read(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32* value);
U32	gsc_reg_mem_write(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32 value);
U32	gsc_reg_pci_read(gsc_device_t* device, U32 reg, U32* value);

U32	gsc_reg_io_mod(	gsc_device_t*	device,
					U8				index,
					U32				r_size,
					U32				reg,
					U32				value,
					U32				mask);

U32	gsc_reg_mem_mod(gsc_device_t*	device,
					U8				index,
					U32				r_size,
					U32				reg,
					U32				value,
					U32				mask);



#endif
