#include "hpdi32_dsl.h"

#include <stdio.h>

U32	hpdi32_dsl_gpio_write(void* handle, U8 value, int verbose)
{
	U32	status;

	status	= hpdi32_gpio_write(handle, value);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_gpio_write() failure: %ld\n", (long) status);
	}
	else
	{
		printf("GPIO Write: 0x%lX\n", (long) value);
	}

	return(status);
}
